# *****************************************************************************
# *									      *
# *		    HEXED Makefile for Linux / X Window System 	              *
# *									      *
# * (C) 1995-96  Ullrich von Bassewitz					      *
# *		 Wacholderweg 14					      *
# *		 D-70597 Stuttgart					      *
# * EMail:	 uz@ibb.schwaben.com					      *
# *									      *
# *****************************************************************************



# $Id$
#
# $Log$
#
#



# ------------------------------------------------------------------------------
# Definitions

# Names of executables
AS = gas
AR = ar
LD = ld
ZIP = zip
CC = g++

LIB	= ../spunk/spunk.a
INCDIR	= ../spunk

CFLAGS	= -DLINUX -O2 -Wall -I$(INCDIR) -pipe -x c++

# ------------------------------------------------------------------------------
# Implicit rules

.c.o:
	$(CC) $(CFLAGS) -c $<

.cc.o:
	$(CC) $(CFLAGS) -c $<

# ------------------------------------------------------------------------------
# All OBJ files

OBJS =	hexed.o		\
	hexopt.o	\
	hexwin.o

# ------------------------------------------------------------------------------
#

ifeq (.depend,$(wildcard .depend))
all:	xhexed
include .depend
else
all:	depend
endif


xhexed:	$(LIB) $(OBJS)
	$(CC) -o xhexed $(OBJS) $(LIB) -L/usr/X11R6/lib -lg -lg++ -lX11

# ------------------------------------------------------------------------------
# Create a dependency file

depend dep:
	@echo "Creating dependency information"
	$(CC) -I$(INCDIR) -DLINUX -MM *.cc > .depend

# ------------------------------------------------------------------------------
# Create a ZIP file

strip:
	strip xhexed

zip:
	-rm -f hexed.zip
	cp Makefile make/linux-x.mak
	$(ZIP) *.cc *.h hexed.res *.doc hexed.1 make/*.mak

bin-dist:	xhexed strip
	rm -f hexed.zip
	$(ZIP) -9 hexed.zip xhexed hexed.res *.doc hexed.1

# ------------------------------------------------------------------------------
# clean up

clean:
	-rm *.bak *~

zap:	clean
	-rm *.o
	-rm .depend

